post
https://partner.gupshup.io/partner/bizgate/app//payment/configuration/remove
Removes an existing payment configuration from an app so it can no longer be used to process WhatsApp Pay transactions.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Body
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| configuration_name | Name of the payment configuration to act on. | payment_config_1 | — | Required |
| redirect_url | URL the payer is returned to after payment. Required when regenerating a link, ignored when removing a configuration. | https://merchant.com/callback | — | Optional |
Sample cURL — Remove payment configuration.
curl --request POST \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/payment/configuration/remove' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"configuration_name" : "payment_config_1",
"redirect_url" : "https://merchant.com/callback"
}'Sample success response (200)
{
"status": "success",
"data": {
"success": true
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…